# -*- coding: utf-8 -*-
"""
Created on Wed Apr 14 19:50:31 2021

@author: jdwang
"""

import pandas as pd
'''
         Date Hour  VT_31  VT_32  VT_41  VT_42  VT_5
0    20180901  00H     75      8      2      1     0
1    20180901  01H     53     15      2      0     2
2    20180901  02H     28     10      1      2     1
3    20180901  03H     40      8      1      2     5
4    20180901  04H     38      5      0      1    17
5    20180901  05H     98     33      5      3    11
6    20180901  06H    216     57     19      8     9
7    20180901  07H    376    107     14     18    14
'''

#TDCS_Data = pd.read_csv("../SrcData/940100540_jdwang_TDCS_M06A_201809_03F2100S_V15.txt", sep='\t')
TDCS_Data = pd.read_csv("../SrcData/940100540_jdwang_TDCS_M06A_201809_03F2100S_V15.txt", sep='\t', header=0)

#print(TDCS_Data.columns)

#print(TDCS_Data)
#print(TDCS_Data['Date'])
#print(TDCS_Data['Date','VT_31'])
#print(TDCS_Data[['Date','VT_31']])
#print(TDCS_Data[['Date','VT_31','VT_32']])
#print(TDCS_Data[['Date','VT_31','VT_32']].head(3))
#print(TDCS_Data[['Date','VT_31','VT_32']][0:3])


#print(TDCS_Data['Date'] == '20180901' )
#print(TDCS_Data.dtypes)
#print(TDCS_Data['Date'] == 20180901 )

OneDay_Date = TDCS_Data[TDCS_Data['Date']== 20180901]
#OneDay_Date = TDCS_Data[TDCS_Data['Date']== 20180902]
#print(OneDay_Date)

OneDay_Date_Hour = TDCS_Data[TDCS_Data['Date']== 20180901]['Hour']
print(OneDay_Date_Hour)
OneDay_Date_VT_31 = TDCS_Data[TDCS_Data['Date']== 20180901]['VT_31']
print(OneDay_Date_VT_31)
#OneDay_Date_VTs = TDCS_Data[TDCS_Data['Date']== 20180901][:]
#print(OneDay_Date_VTs)

import matplotlib.pyplot as plt

plt.figure(figsize=(12,8))

#plt.plot(OneDay_Date_Hour,OneDay_Date_VT_31)
plt.bar(OneDay_Date_Hour,OneDay_Date_VT_31)

# Add title and axis names
#plt.title('The Frequency of Vehicle Trips [20180901,VT_31,(910100540, Jing-Doo Wang)]')
#plt.xlabel('24 Hours')
#plt.ylabel('Number of Vehicle Trips')

plt.title('The Frequency of Vehicle Trips \n [20180901,VT_31,(910100540, Jing-Doo Wang)]',fontsize=14)
plt.xlabel('24 Hours',fontsize=12)
plt.ylabel('Number of Vehicle Trips',fontsize=12)
plt.grid()

#plt.savefig('../Output/20180901_VT_31_Line_910100540_jdwang.png')
plt.savefig('../Output/20180901_VT_31_Bar_910100540_jdwang.png')

plt.show()